Index: c/src/lib/libbsp/powerpc/haleakala/mmu/mmu_405.c
===================================================================
--- c/src/lib/libbsp/powerpc/haleakala/mmu/mmu_405.c	(revision 441993a8c77e10a91d15ca3e82a9c3eeadddc374)
+++ c/src/lib/libbsp/powerpc/haleakala/mmu/mmu_405.c	(revision f2b5d6729730489a342c48c75716d19d3bd0b9a8)
@@ -273,7 +273,7 @@
   excSyn  = PPC_SPECIAL_PURPOSE_REGISTER(SPR_ESR);
   if (excSyn & kESR_DST) printk("\n---Data write to $%" PRIx32
-      " attempted at $%" PRIx32 "\n",addr,f->EXC_SRR0);
+      " attempted at $%" PRIxPTR "\n",addr,f->EXC_SRR0);
             else printk("\n---Data read from $%" PRIx32 " attempted at $%"
-                        PRIx32 "\n",addr,f->EXC_SRR0);
+                        PRIxPTR "\n",addr,f->EXC_SRR0);
   return -1;
 }
@@ -281,5 +281,5 @@
 int InstructionMissException(BSP_Exception_frame *f, unsigned int vector)
 {
-  printk("\n---Instruction fetch attempted from $%" PRIx32 ", no TLB exists\n",
+  printk("\n---Instruction fetch attempted from $%" PRIxPTR ", no TLB exists\n",
          f->EXC_SRR0);
   return -1;
@@ -288,5 +288,5 @@
 int InstructionFetchException(BSP_Exception_frame *f, unsigned int vector)
 {
-  printk("\n---Instruction fetch attempted from $%" PRIx32
+  printk("\n---Instruction fetch attempted from $%" PRIxPTR
          ", TLB is no-execute\n",f->EXC_SRR0);
   return -1;
Index: c/src/lib/libbsp/powerpc/mvme5500/vectors/exceptionhandler.c
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/vectors/exceptionhandler.c	(revision 441993a8c77e10a91d15ca3e82a9c3eeadddc374)
+++ c/src/lib/libbsp/powerpc/mvme5500/vectors/exceptionhandler.c	(revision f2b5d6729730489a342c48c75716d19d3bd0b9a8)
@@ -113,42 +113,42 @@
        printk(fmt, excPtr->_EXC_number);
        /* register dump */
-       printk("\t Next PC or Address of fault = %" PRIx32 ", ", excPtr->EXC_SRR0);
-       printk("Mvme5500 Saved MSR = %" PRIx32 "\n", excPtr->EXC_SRR1);
-       printk("\t R0  = %08" PRIx32, excPtr->GPR0);
-       printk(" R1  = %08" PRIx32, excPtr->GPR1);
-       printk(" R2  = %08" PRIx32, excPtr->GPR2);
-       printk(" R3  = %08" PRIx32 "\n", excPtr->GPR3);
-       printk("\t R4  = %08" PRIx32, excPtr->GPR4);
-       printk(" R5  = %08" PRIx32, excPtr->GPR5);
-       printk(" R6  = %08" PRIx32, excPtr->GPR6);
-       printk(" R7  = %08" PRIx32 "\n", excPtr->GPR7);
-       printk("\t R8  = %08" PRIx32, excPtr->GPR8);
-       printk(" R9  = %08" PRIx32, excPtr->GPR9);
-       printk(" R10 = %08" PRIx32, excPtr->GPR10);
-       printk(" R11 = %08" PRIx32 "\n", excPtr->GPR11);
-       printk("\t R12 = %08" PRIx32, excPtr->GPR12);
-       printk(" R13 = %08" PRIx32, excPtr->GPR13);
-       printk(" R14 = %08" PRIx32, excPtr->GPR14);
-       printk(" R15 = %08" PRIx32 "\n", excPtr->GPR15);
-       printk("\t R16 = %08" PRIx32, excPtr->GPR16);
-       printk(" R17 = %08" PRIx32, excPtr->GPR17);
-       printk(" R18 = %08" PRIx32, excPtr->GPR18);
-       printk(" R19 = %08" PRIx32 "\n", excPtr->GPR19);
-       printk("\t R20 = %08" PRIx32, excPtr->GPR20);
-       printk(" R21 = %08" PRIx32, excPtr->GPR21);
-       printk(" R22 = %08" PRIx32, excPtr->GPR22);
-       printk(" R23 = %08" PRIx32 "\n", excPtr->GPR23);
-       printk("\t R24 = %08" PRIx32, excPtr->GPR24);
-       printk(" R25 = %08" PRIx32, excPtr->GPR25);
-       printk(" R26 = %08" PRIx32, excPtr->GPR26);
-       printk(" R27 = %08" PRIx32 "\n", excPtr->GPR27);
-       printk("\t R28 = %08" PRIx32, excPtr->GPR28);
-       printk(" R29 = %08" PRIx32, excPtr->GPR29);
-       printk(" R30 = %08" PRIx32, excPtr->GPR30);
-       printk(" R31 = %08" PRIx32 "\n", excPtr->GPR31);
+       printk("\t Next PC or Address of fault = %" PRIxPTR ", ", excPtr->EXC_SRR0);
+       printk("Mvme5500 Saved MSR = %" PRIxPTR "\n", excPtr->EXC_SRR1);
+       printk("\t R0  = %08" PRIxPTR, excPtr->GPR0);
+       printk(" R1  = %08" PRIxPTR, excPtr->GPR1);
+       printk(" R2  = %08" PRIxPTR, excPtr->GPR2);
+       printk(" R3  = %08" PRIxPTR "\n", excPtr->GPR3);
+       printk("\t R4  = %08" PRIxPTR, excPtr->GPR4);
+       printk(" R5  = %08" PRIxPTR, excPtr->GPR5);
+       printk(" R6  = %08" PRIxPTR, excPtr->GPR6);
+       printk(" R7  = %08" PRIxPTR "\n", excPtr->GPR7);
+       printk("\t R8  = %08" PRIxPTR, excPtr->GPR8);
+       printk(" R9  = %08" PRIxPTR, excPtr->GPR9);
+       printk(" R10 = %08" PRIxPTR, excPtr->GPR10);
+       printk(" R11 = %08" PRIxPTR "\n", excPtr->GPR11);
+       printk("\t R12 = %08" PRIxPTR, excPtr->GPR12);
+       printk(" R13 = %08" PRIxPTR, excPtr->GPR13);
+       printk(" R14 = %08" PRIxPTR, excPtr->GPR14);
+       printk(" R15 = %08" PRIxPTR "\n", excPtr->GPR15);
+       printk("\t R16 = %08" PRIxPTR, excPtr->GPR16);
+       printk(" R17 = %08" PRIxPTR, excPtr->GPR17);
+       printk(" R18 = %08" PRIxPTR, excPtr->GPR18);
+       printk(" R19 = %08" PRIxPTR "\n", excPtr->GPR19);
+       printk("\t R20 = %08" PRIxPTR, excPtr->GPR20);
+       printk(" R21 = %08" PRIxPTR, excPtr->GPR21);
+       printk(" R22 = %08" PRIxPTR, excPtr->GPR22);
+       printk(" R23 = %08" PRIxPTR "\n", excPtr->GPR23);
+       printk("\t R24 = %08" PRIxPTR, excPtr->GPR24);
+       printk(" R25 = %08" PRIxPTR, excPtr->GPR25);
+       printk(" R26 = %08" PRIxPTR, excPtr->GPR26);
+       printk(" R27 = %08" PRIxPTR "\n", excPtr->GPR27);
+       printk("\t R28 = %08" PRIxPTR, excPtr->GPR28);
+       printk(" R29 = %08" PRIxPTR, excPtr->GPR29);
+       printk(" R30 = %08" PRIxPTR, excPtr->GPR30);
+       printk(" R31 = %08" PRIxPTR "\n", excPtr->GPR31);
        printk("\t CR  = %08" PRIx32 "\n", excPtr->EXC_CR);
-       printk("\t CTR = %08" PRIx32 "\n", excPtr->EXC_CTR);
+       printk("\t CTR = %08" PRIxPTR "\n", excPtr->EXC_CTR);
        printk("\t XER = %08" PRIx32 "\n", excPtr->EXC_XER);
-       printk("\t LR  = %08" PRIx32 "\n", excPtr->EXC_LR);
+       printk("\t LR  = %08" PRIxPTR "\n", excPtr->EXC_LR);
 
        BSP_printStackTrace(excPtr);
Index: c/src/lib/libcpu/powerpc/mpc5xx/vectors/vectors_init.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc5xx/vectors/vectors_init.c	(revision 441993a8c77e10a91d15ca3e82a9c3eeadddc374)
+++ c/src/lib/libcpu/powerpc/mpc5xx/vectors/vectors_init.c	(revision f2b5d6729730489a342c48c75716d19d3bd0b9a8)
@@ -36,42 +36,42 @@
   printk("exception handler called for exception %" PRIu32 "\n",
          excPtr->_EXC_number);
-  printk("\t Next PC or Address of fault = %" PRIx32 "\n", excPtr->EXC_SRR0);
-  printk("\t Saved MSR = %" PRIx32 "\n", excPtr->EXC_SRR1);
-  printk("\t R0 = %" PRIx32 "\n", excPtr->GPR0);
-  printk("\t R1 = %" PRIx32 "\n", excPtr->GPR1);
-  printk("\t R2 = %" PRIx32 "\n", excPtr->GPR2);
-  printk("\t R3 = %" PRIx32 "\n", excPtr->GPR3);
-  printk("\t R4 = %" PRIx32 "\n", excPtr->GPR4);
-  printk("\t R5 = %" PRIx32 "\n", excPtr->GPR5);
-  printk("\t R6 = %" PRIx32 "\n", excPtr->GPR6);
-  printk("\t R7 = %" PRIx32 "\n", excPtr->GPR7);
-  printk("\t R8 = %" PRIx32 "\n", excPtr->GPR8);
-  printk("\t R9 = %" PRIx32 "\n", excPtr->GPR9);
-  printk("\t R10 = %" PRIx32 "\n", excPtr->GPR10);
-  printk("\t R11 = %" PRIx32 "\n", excPtr->GPR11);
-  printk("\t R12 = %" PRIx32 "\n", excPtr->GPR12);
-  printk("\t R13 = %" PRIx32 "\n", excPtr->GPR13);
-  printk("\t R14 = %" PRIx32 "\n", excPtr->GPR14);
-  printk("\t R15 = %" PRIx32 "\n", excPtr->GPR15);
-  printk("\t R16 = %" PRIx32 "\n", excPtr->GPR16);
-  printk("\t R17 = %" PRIx32 "\n", excPtr->GPR17);
-  printk("\t R18 = %" PRIx32 "\n", excPtr->GPR18);
-  printk("\t R19 = %" PRIx32 "\n", excPtr->GPR19);
-  printk("\t R20 = %" PRIx32 "\n", excPtr->GPR20);
-  printk("\t R21 = %" PRIx32 "\n", excPtr->GPR21);
-  printk("\t R22 = %" PRIx32 "\n", excPtr->GPR22);
-  printk("\t R23 = %" PRIx32 "\n", excPtr->GPR23);
-  printk("\t R24 = %" PRIx32 "\n", excPtr->GPR24);
-  printk("\t R25 = %" PRIx32 "\n", excPtr->GPR25);
-  printk("\t R26 = %" PRIx32 "\n", excPtr->GPR26);
-  printk("\t R27 = %" PRIx32 "\n", excPtr->GPR27);
-  printk("\t R28 = %" PRIx32 "\n", excPtr->GPR28);
-  printk("\t R29 = %" PRIx32 "\n", excPtr->GPR29);
-  printk("\t R30 = %" PRIx32 "\n", excPtr->GPR30);
-  printk("\t R31 = %" PRIx32 "\n", excPtr->GPR31);
+  printk("\t Next PC or Address of fault = %" PRIxPTR "\n", excPtr->EXC_SRR0);
+  printk("\t Saved MSR = %" PRIxPTR "\n", excPtr->EXC_SRR1);
+  printk("\t R0 = %" PRIxPTR "\n", excPtr->GPR0);
+  printk("\t R1 = %" PRIxPTR "\n", excPtr->GPR1);
+  printk("\t R2 = %" PRIxPTR "\n", excPtr->GPR2);
+  printk("\t R3 = %" PRIxPTR "\n", excPtr->GPR3);
+  printk("\t R4 = %" PRIxPTR "\n", excPtr->GPR4);
+  printk("\t R5 = %" PRIxPTR "\n", excPtr->GPR5);
+  printk("\t R6 = %" PRIxPTR "\n", excPtr->GPR6);
+  printk("\t R7 = %" PRIxPTR "\n", excPtr->GPR7);
+  printk("\t R8 = %" PRIxPTR "\n", excPtr->GPR8);
+  printk("\t R9 = %" PRIxPTR "\n", excPtr->GPR9);
+  printk("\t R10 = %" PRIxPTR "\n", excPtr->GPR10);
+  printk("\t R11 = %" PRIxPTR "\n", excPtr->GPR11);
+  printk("\t R12 = %" PRIxPTR "\n", excPtr->GPR12);
+  printk("\t R13 = %" PRIxPTR "\n", excPtr->GPR13);
+  printk("\t R14 = %" PRIxPTR "\n", excPtr->GPR14);
+  printk("\t R15 = %" PRIxPTR "\n", excPtr->GPR15);
+  printk("\t R16 = %" PRIxPTR "\n", excPtr->GPR16);
+  printk("\t R17 = %" PRIxPTR "\n", excPtr->GPR17);
+  printk("\t R18 = %" PRIxPTR "\n", excPtr->GPR18);
+  printk("\t R19 = %" PRIxPTR "\n", excPtr->GPR19);
+  printk("\t R20 = %" PRIxPTR "\n", excPtr->GPR20);
+  printk("\t R21 = %" PRIxPTR "\n", excPtr->GPR21);
+  printk("\t R22 = %" PRIxPTR "\n", excPtr->GPR22);
+  printk("\t R23 = %" PRIxPTR "\n", excPtr->GPR23);
+  printk("\t R24 = %" PRIxPTR "\n", excPtr->GPR24);
+  printk("\t R25 = %" PRIxPTR "\n", excPtr->GPR25);
+  printk("\t R26 = %" PRIxPTR "\n", excPtr->GPR26);
+  printk("\t R27 = %" PRIxPTR "\n", excPtr->GPR27);
+  printk("\t R28 = %" PRIxPTR "\n", excPtr->GPR28);
+  printk("\t R29 = %" PRIxPTR "\n", excPtr->GPR29);
+  printk("\t R30 = %" PRIxPTR "\n", excPtr->GPR30);
+  printk("\t R31 = %" PRIxPTR "\n", excPtr->GPR31);
   printk("\t CR = %" PRIx32 "\n", excPtr->EXC_CR);
-  printk("\t CTR = %" PRIx32 "\n", excPtr->EXC_CTR);
+  printk("\t CTR = %" PRIxPTR "\n", excPtr->EXC_CTR);
   printk("\t XER = %" PRIx32 "\n", excPtr->EXC_XER);
-  printk("\t LR = %" PRIx32 "\n", excPtr->EXC_LR);
+  printk("\t LR = %" PRIxPTR "\n", excPtr->EXC_LR);
   if (excPtr->_EXC_number == ASM_DEC_VECTOR)
        recoverable = 1;
Index: c/src/lib/libcpu/powerpc/new-exceptions/bspsupport/ppc_exc_print.c
===================================================================
--- c/src/lib/libcpu/powerpc/new-exceptions/bspsupport/ppc_exc_print.c	(revision 441993a8c77e10a91d15ca3e82a9c3eeadddc374)
+++ c/src/lib/libcpu/powerpc/new-exceptions/bspsupport/ppc_exc_print.c	(revision f2b5d6729730489a342c48c75716d19d3bd0b9a8)
@@ -27,5 +27,5 @@
   #define GET_GPR(gpr) (gpr)
 #else
-  #define GET_GPR(gpr) ((uint32_t) ((gpr) >> 32))
+  #define GET_GPR(gpr) ((uintptr_t) ((gpr) >> 32))
 #endif
 
